package com.iformall.enums;


/**
 * @author Stormeye
 */

public enum EnumPosOrderType {

    VERIFY_INDEPENDENT(1,"独立核销"),
    PAY(2,"支付")
    ;

    public static EnumPosOrderType getEnum(Integer code) {
        for (EnumPosOrderType value : values()) {
            if (value.getCode().equals(code)) {
                return value;
            }
        }
        return null;
    }

    private Integer code;
    private String message;

    EnumPosOrderType(Integer code, String message) {
        this.code = code;
        this.message = message;
    }

    public Integer getCode() {
        return code;
    }

    public String getMessage() {
        return message;
    }
}
